RUBBER-INFO(1)

NAME
rubber-info - extraction d'information de documents LaTeX

SYNOPSIS
rubber-info [options] [action] source

DESCRIPTION
Rubber-info est un utilitaire destiné à extraire divers types d'information d'un document LaTeX. L'information peut être tirée des sources (par exemple pour l'analyse de dépendances) ou des logs de compilation (pour extraire erreurs et avertissements). Cet utilitaire est un complément au système de compilation rubber(1). Les options de ligne de commande sont celles utilisées par rubber(1) plus l'une des actions décrites plus bas.

ACTIONS
L'une des options de ligne de commande suivantes doit être spécifiée, afin de choisir quel information extraire. Bien entendu, les actions qui extraient des informations des logs ne peuvent êtres effectuées que si une compilation a effectivement eu lieu. Si aucune de ces actions n'est spécifiée, c'est --check qui est utilisée.

--boxes
    Extrait du fichier log les emplacements dans le source où la compilation a produit des boîtes mal construites (ce sont les fameux overfull et underfull \hbox et \vbox).

--check
    Affiche les erreurs de compilation s'il y en a, sinon énumère les références non définies s'il y en a, sinon affiche les avertissements et les boîtes mal construites. C'est l'action par défaut.

--deps
    Analyse les sources et produit une liste (séparée par des espaces) des noms de tous les fichiers dont dépend le document et que Rubber ne peut pas reconstituer.

--errors
    Extrait du fichier log la liste des erreurs qui sont survenues durant la dernière compilation.

-h, --help
    Affiche la liste de toutes les options disponibles et quitte.

--refs
    Renvoie la liste des références non définies ou définies plusieurs fois (i.e. les \ref qui ne correspondent pas à exactement un \label).

--rules
    Analyse les sources et produit une liste de règles de dépendances. Une règle est produite pour chaque fichier intermédiaire qui serait construit par rubber. Les règles sont formattées dans le style des Makefile.

--version
    Affiche le numéro de version et termine.

--warnings
    Affiche stupidement la liste de tous les avertissements de LaTeX, c'est-à-dire toutes les lignes du fichier log qui contiennent « Warning ».

BUGS
Il y en a surement quelques uns... Cette page se rapporte à la version 1.6.0 de Rubber. Le programme et cette documentation sont maintenus par Florian Schmaus <flo@geekplace.eu>. La page web du programme se trouve à l'adresse https://gitlab.com/latex-rubber/rubber.

VOIR AUSSI
La documentation complète de rubber est maintenue en tant que manuel en Texinfo. Si les programmes info et rubber sont installés correctement sur votre système, la commande

    info rubber

devrait vous donner accès au manuel complet (en anglais).